Bug 80030 - hyphen (minus sign) is wrongly displayed in X consoles
hyphen (minus sign) is wrongly displayed in X consoles
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: man-pages (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
: 80931 82598 86607 (view as bug list)
Depends On:
Blocks: 86607
  Show dependency treegraph
 
Reported: 2002-12-18 17:45 EST by Alessandro Volpi
Modified: 2007-04-18 12:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-15 17:25:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file obtained by redirecting efax man page output to file (43.10 KB, text/plain)
2002-12-18 17:54 EST, Alessandro Volpi
no flags Details

  None (edit)
Description Alessandro Volpi 2002-12-18 17:45:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Many man pages are properly dispayed in the alphanumeric console.
When the X system is used (Konsole in KDE or Gnome terminal) many man pages are
not correectly displayed.

Hyphens are shown as small squares or small squares superimposed to unreadable
characters. This is due to the fact that the hyphens are replaced by three
character sequences; each character belonging to said sequences is higher than
127 (i.e. with   heavy bit set to one). If the man page output is redirected to
a file and the file is printed hyphens are replaced by strange characters like
"a with circumflex hyphens", "euro signs"  etc.

An example is the efax man page. A text file obtained by redirecting the   man
page output is attached. Command : man efax > efax_man.txt

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.open a Konsole terminal from KDE desktop
2.issue the command : man efax 
3.read the output on the Konsole terminal

efax is only an example many man page show the same behaviour
    

Actual Results:  Hyphens are replaced by small squares or small squares
superimposed to small squares. When the man page output is printed characters
like euro sign and "a with circumflex accent" replace the hyphens.

Expected Results:  Hyphens should have been displayed, as happens when the
alphanumeric console is used (no X system)

Additional info:

RH 8.0 Linux, installed on a Dell Latitude C800 laptop. System and application
are fully updated by the RH update agent. No different behaviour with the old
kernel, included in the distribution CDs.
Comment 1 Alessandro Volpi 2002-12-18 17:54:03 EST
Created attachment 88802 [details]
file obtained by redirecting efax man page output to file

this is only an example; many man pages other than efax contain three character
sequences instead of hyphens. The characters in said sequences are higher than
127 (decimal)
Comment 2 Alessandro Volpi 2002-12-18 17:57:47 EST
In the problem description the words "a with cicumflex  hyphen" must be replaced
by "a with circumflex accent" . I apologize for this "description bug".
Comment 3 Alessandro Volpi 2002-12-18 18:03:47 EST
Hyphens are replaced by strange characters also when xman is used instead of
man. Other punctuation signs are not properly displayed in xman.
Comment 4 Michael Lee Yohe 2002-12-20 10:29:22 EST
There needs to be the "weird characters because of UTF8 default problem" bug to
tie this into (and the plethora of other already filed bugs that are solved by
LANG=en_US or LANG=C".
Comment 5 Alessandro Volpi 2002-12-21 17:31:45 EST
The LANG=en_US setting fixes the bug. As suggested by Michael Lee Yohe the cause
of the man pages bug is the default setting LANG=en_US.UTF-8 .

The bug in xman has probably nothing to do with the described man pages bug.

Looking more carefully to it I have seen that the weird characters of xman
output do not replace the hyphen, but they are just added to paragraph titles.

I will query for this bug and, possibly, file another bug report about xman.

Thanks to Michael Lee Yohe for the help.

I wonder whether the valid solution suggested by Michael for the man page
malfunction is to be considered a bug fix or a bug workaround and, consequently,
whether I should close the bug, classifying it as NOTABUG.
Comment 6 Mike A. Harris 2003-01-07 09:08:31 EST
*** Bug 80931 has been marked as a duplicate of this bug. ***
Comment 7 Alessandro Volpi 2003-01-09 04:23:16 EST
Setting the LANG variable to en_US in every opened X console is quite annoying;
the environment is set for the whole X environment and putting "export
LANG=en_us" in .bash_profile or .bashrc is therefore useless. After a quite long
trial and error process I have eventually found the way to perform a system-wide
setting of the LANG variable. I have found  that the script
/etc/profile.d/lang.sh uses the /etc/sysconfig/i18n file, in order to set the
$LANG variable.I opened the above mentioned file and I could read, in the first
line, the definition LANG="en_US.UTF-8".I modified the script, so that the
definition is now LANG="en_US"; I have also removed the reference to en_US.UTF-8
in the supported languages list in the second line of the file.
I am now sure that the mentioned XMAN bug has nothing to do with this UTF-8 bug.
After the system-wide setting of LANG, the xman bug is still there!
Comment 8 Eido Inoue 2003-02-07 15:12:29 EST
*** Bug 82598 has been marked as a duplicate of this bug. ***
Comment 9 Drew Derbyshire 2003-02-27 10:47:50 EST
Since for most commands the user must actually enter a hyphen (minus sign) on 
the command line, the man command should not be altering it under ANY 
language.  That is to say, an exact cut and paste should work on all systems -- 
and the character to be pasted is a hypen.
Comment 10 Karel de Waal 2003-03-27 05:36:45 EST
*** Bug 86607 has been marked as a duplicate of this bug. ***
Comment 11 Need Real Name 2003-06-16 08:21:11 EDT
Here is a gentle workaround for tcsh users that does not change any
other properties of an installed system:

In ~/.tcshrc, add the following code:

if (-f /etc/redhat-release) then
  if ("`cat /etc/redhat-release`" =~ 'Red Hat Linux release '8.0*) then
    alias man env LANG=en_US man
  endif
endif
Comment 12 Eido Inoue 2003-06-16 10:41:59 EDT
Comment 11:

thanks for the workaround. It can't be used, obviously, as Red Hat Linux isn't
just for American English speaking users.
Comment 13 Eido Inoue 2003-12-15 17:25:45 EST
closing as current Unicode releases fix this problem, and non-Unicode
releases are end-of-lifed by the end of the month

Note You need to log in before you can comment on or make changes to this bug.